import random


class MyCausalMethod2:
    def __init__(self):
        """
        This is a placeholder for your causal ML method.
        Replace this class with your own implementation.
        """
        pass

    def estimate(self, query, data, graph, index_to_variable):
        """
        Output: float estimate
        """
        return random.random()
